import { useCallback, useMemo, useState, useEffect } from 'react'
import Filter from './Filter'

const urlParams = new URLSearchParams(window.location.search)

export default function Wrapper ({ title }) {
    const mapId = window.directory_map.map_id;
    const mapClasses = 'jeomap map_id_' + mapId;


    const [city, setCity] = useState(0)
    const [state, setState] = useState(0)

    return <>


        <div id="organizations-wrap">
            <Filter title={ title } city={ city } state={ state } />
           <div className={mapClasses}></div>
        </div>

    </>
}
