document.addEventListener('DOMContentLoaded', () => {
    let items = document.querySelectorAll('.hacklab-blocks-tutor-course-topics .tutor-accordion-item .tutor-accordion-item-header')

    items.forEach(item => {
        item.addEventListener('click', () => {

            if (!item.classList.contains('is-active')) {
                item.classList.remove('is-active');
                if (item.parentElement.querySelector('.tutor-accordion-item-body')) {
                    item.parentElement.querySelector('.tutor-accordion-item-body').style.display = 'none';
                }
            } else {
                items.forEach(element => {
                    if(element.classList.contains('is-active')) {
                        element.classList.remove('is-active');
                        if (element.parentElement.querySelector('.tutor-accordion-item-body')) {
                            element.parentElement.querySelector('.tutor-accordion-item-body').style.display = 'none';
                        }
                    }
                });

                item.classList.add('is-active')
                if (item.parentElement.querySelector('.tutor-accordion-item-body')) {
                    item.parentElement.querySelector('.tutor-accordion-item-body').style.display = '';
                }
            }
        })
    });
})